"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UiViewport = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var types_1 = require("../types");
var use_window_dimensions_1 = require("../hooks/use-window-dimensions");
var breakpoints_sizes_1 = require("./breakpoints-sizes");
var UiViewport = function (_a) {
    var children = _a.children, breakpoint = _a.breakpoint, breakpoints = _a.breakpoints;
    var width = use_window_dimensions_1.useWindowDimensions().width;
    var childrenMemo = React.useMemo(function () { return React.createElement(React.Fragment, null, children); }, []);
    if ((breakpoint === types_1.Breakpoints.SMALL || (breakpoints === null || breakpoints === void 0 ? void 0 : breakpoints.includes('s'))) && width <= breakpoints_sizes_1.BreakpointsSizes.s.max) {
        return childrenMemo;
    }
    if ((breakpoint === types_1.Breakpoints.MEDIUM || (breakpoints === null || breakpoints === void 0 ? void 0 : breakpoints.includes('m'))) &&
        width >= breakpoints_sizes_1.BreakpointsSizes.m.min &&
        width <= breakpoints_sizes_1.BreakpointsSizes.m.max) {
        return childrenMemo;
    }
    if ((breakpoint === types_1.Breakpoints.LARGE || (breakpoints === null || breakpoints === void 0 ? void 0 : breakpoints.includes('l'))) && width >= breakpoints_sizes_1.BreakpointsSizes.l.min) {
        return childrenMemo;
    }
    return null;
};
exports.UiViewport = UiViewport;
exports.UiViewport.displayName = 'UiViewport';
//# sourceMappingURL=viewport.js.map