"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDynamicColor = void 0;
var getDynamicColor = function (category, value, state, action, theme) {
    if (!theme || !theme.colors) {
        console.error('THEME ERROR', 'THEME IS NOT VALID');
        return '';
    }
    var dynamicElements = theme.colors[category];
    if (!dynamicElements) {
        console.error('THEME ERROR', 'DYNAMIC ELEMENT CATEGORY NOT FOUND IN THEME');
        return '';
    }
    var dynamicElementState = dynamicElements[state];
    if (!dynamicElementState) {
        console.error('THEME ERROR', 'STATE NOT FOUND IN DYNAMIC THEME CATEGORY');
        return '';
    }
    var dynamicElementStateAction = dynamicElementState[action];
    if (!dynamicElementStateAction) {
        console.error('THEME ERROR', 'ACTION NOT FOUND IN STATE IN DYNAMIC THEME CATEGORY');
        return '';
    }
    var color = dynamicElementStateAction[value];
    if (!color) {
        console.warn('THEME WARN', 'color was NOT found');
        return '';
    }
    return color;
};
exports.getDynamicColor = getDynamicColor;
//# sourceMappingURL=get-dynamic-color.js.map